Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455947 - yum update fails on firefox + xulrunner
Summary: yum update fails on firefox + xulrunner
Keywords:
Status: CLOSED DUPLICATE of bug 455915
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: x86_64
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 04:52 UTC by Doug Maxey
Modified: 2018-04-11 09:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-21 22:52:13 UTC


Attachments (Terms of Use)
script log of original attempt to update (deleted)
2008-07-19 06:26 UTC, Doug Maxey
no flags Details

Description Doug Maxey 2008-07-19 04:52:21 UTC
Description of problem:
Just pulled the latest from updates.
yum update -y from the standard repos
Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror,
              : fedorakmod, kernel-module, list-data, merge-conf, presto,
              : protect-packages, protectbase, refresh-packagekit, security,
              : tsflags, upgrade-helper, versionlock
Setting up and reading Presto delta metadata
No Presto metadata available for updates-source
No Presto metadata available for livna
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
Loading mirror speeds from cached hostfile
 * updates-source: mirror.lib.ucdavis.edu
Excluding mirror: mirrors.tummy.com
 * livna: livna.cat.pdx.edu
Excluding mirror: fedora.mirror.facebook.com
 * fedora: mirror.cpsc.ucalgary.ca
 * adobe-linux-i386: linuxdownload.adobe.com
 * updates: mirror.lib.ucdavis.edu
Reading version lock configuration
Skipping security plugin, no data
0 packages excluded due to repository protections
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
--> Processing Dependency: gecko-libs = 1.9 for package: totem-mozplugin
--> Processing Dependency: gecko-libs = 1.9 for package: nspluginwrapper
---> Package firefox.x86_64 0:3.0.1-1.fc9 set to be updated
---> Package devhelp.x86_64 0:0.19.1-3.fc9 set to be updated
---> Package xulrunner.x86_64 0:1.9.0.1-1.fc9 set to be updated
--> Running transaction check
---> Package xulrunner.i386 0:1.9-0.60.beta5.fc9 set to be updated
--> Processing Dependency: libhunspell.so.1 for package: xulrunner
--> Running transaction check
---> Package hunspell.i386 0:1.2.1-7.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 devhelp                 x86_64     0.19.1-3.fc9     updates           227 k
 firefox                 x86_64     3.0.1-1.fc9      updates           9.3 M
 xulrunner               x86_64     1.9.0.1-1.fc9    updates           8.7 M
Installing for dependencies:
 hunspell                i386       1.2.1-7.fc9      updates           186 k
 xulrunner               i386       1.9-0.60.beta5.fc9  fedora            8.9 M

Transaction Summary
=============================================================================
Install      2 Package(s)         
Update       3 Package(s)         
Remove       0 Package(s)         

Total size: 27 M
Downloading Packages:
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
Running rpm_check_debug
Running Transaction Test
/etc/selinux/targeted/contexts/files/file_contexts: Multiple different
specifications for /var/spool/milter-regex(/.*)? 
(system_u:object_r:milter_regex_spool_t:s0 and
system_u:object_r:spamd_var_run_t:s0).
/etc/selinux/targeted/contexts/files/file_contexts: Multiple different
specifications for /usr/sbin/spamass-milter 
(system_u:object_r:milter_spamass_exec_t:s0 and system_u:object_r:spamd_exec_t:s0).
Finished Transaction Test


Transaction Check Error:
  package xulrunner-1.9-1.fc9.x86_64 (which is newer than
xulrunner-1.9-0.60.beta5.fc9.i386) is already installed

Error Summary
-------------


Version-Release number of selected component (if applicable):


How reproducible:
5 retries x 100%
even tried the updates-testing.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
# yum list xulrunner firefox
Loaded plugins: aliases, allowdowngrade, changelog, downloadonly, fastestmirror,
              : fedorakmod, kernel-module, list-data, merge-conf, presto,
              : protect-packages, protectbase, refresh-packagekit, security,
              : tsflags, upgrade-helper, versionlock
Setting up and reading Presto delta metadata
No Presto metadata available for updates-source
No Presto metadata available for livna
No Presto metadata available for fedora
No Presto metadata available for adobe-linux-i386
No Presto metadata available for updates
Loading mirror speeds from cached hostfile
 * updates-source: mirror.lib.ucdavis.edu
Excluding mirror: mirrors.tummy.com
 * livna: livna.cat.pdx.edu
Excluding mirror: fedora.mirror.facebook.com
 * fedora: mirror.cpsc.ucalgary.ca
 * adobe-linux-i386: linuxdownload.adobe.com
 * updates: mirror.lib.ucdavis.edu
Reading version lock configuration
0 packages excluded due to repository protections
Installed Packages
firefox.x86_64                           3.0-1.fc9              installed       
xulrunner.x86_64                         1.9-1.fc9              installed       
Available Packages
firefox.x86_64                           3.0.1-1.fc9            updates         
xulrunner.x86_64                         1.9.0.1-1.fc9          updates         
xulrunner.i386                           1.9.0.1-1.fc9          updates

Comment 1 Doug Maxey 2008-07-19 06:26:50 UTC
Created attachment 312193 [details]
script log of original attempt to update

Here is the script log of the yum update session.

First is the failed update (no exclusions).

Following are the attempts with exclusions, with finally the -x ff -x xul - x
devhelp getting the update to complete.

*However*, about the time selinux-policy was installed, the gam_server avc
denied started popping at about 500/sec.  After about 15 minutes they stopped. 
I kill -1 on the gam_servers, but the messages continued for a while.  Dunno if
there where that many queued.

See  https://bugzilla.redhat.com/show_bug.cgi?id=455952 for the second feature
of the Friday evening entertainment. 8)

Comment 2 Jan Vlug 2008-07-19 09:53:04 UTC
I confirm this behaviour.

Comment 3 Doug Maxey 2008-07-19 18:19:09 UTC
Looks like the mirrors (at least the ones I use) now have the correct version.

Comment 4 Nicolas A. Barriga 2008-07-19 20:29:36 UTC
This seems to be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?
id=455936

Comment 5 Matěj Cepl 2008-07-21 22:52:13 UTC
You are right. Thanks

*** This bug has been marked as a duplicate of 455915 ***


Note You need to log in before you can comment on or make changes to this bug.